diff a/src/hotspot/cpu/riscv/continuationFreezeThaw_riscv.inline.hpp b/src/hotspot/cpu/riscv/continuationFreezeThaw_riscv.inline.hpp
--- a/src/hotspot/cpu/riscv/continuationFreezeThaw_riscv.inline.hpp
+++ b/src/hotspot/cpu/riscv/continuationFreezeThaw_riscv.inline.hpp
@@ -192,10 +192,17 @@
     // as read from the chunk.
     patch_callee_link(caller, caller.fp());
   }
 }
 
+inline intptr_t* AnchorMark::anchor_mark_set_pd() {
+  return _top_frame.sp();
+}
+
+inline void AnchorMark::anchor_mark_clear_pd() {
+}
+
 //////// Thaw
 
 // Fast path
 
 inline void ThawBase::prefetch_chunk_pd(void* start, int size) {
@@ -307,10 +314,15 @@
 
   log_develop_trace(continuations, preempt)("push_cleanup_continuation initial sp: " INTPTR_FORMAT " final sp: " INTPTR_FORMAT, p2i(sp + 2 * frame::metadata_words), p2i(sp));
   return sp;
 }
 
+inline intptr_t* ThawBase::push_preempt_adapter() {
+  Unimplemented();
+  return nullptr;
+}
+
 inline void ThawBase::derelativize_interpreted_frame_metadata(const frame& hf, const frame& f) {
   // Make sure that last_sp is kept relativized.
   assert((intptr_t*)f.at_relative(frame::interpreter_frame_last_sp_offset) == f.unextended_sp(), "");
 
   // Make sure that monitor_block_top is still relativized.
